## ZendX_Db_Statement_Firebird

Description

Extends for Firebird

- copyright: Copyright (c) 2005-2008 Zend Technologies USA Inc. (http://www.zend.com)
- license: New BSD License

Located in /Db/Statement/Firebird.php (line 37)

    Zend_Db_Statement
       |
       --ZendX_Db_Statement_Firebird

Variable Summary
array $_keys
array $_meta
firebird_result $_stmtColumnCount
firebird_stmtPrepared $_stmtPrepared
firebird_result $_stmtResult
firebird_result $_stmtRowCount
array $_values
Method Summary
bool close ()
bool closeCursor ()
int columnCount ()
string errorCode ()
array errorInfo ()
mixed fetch ([int $style = null], [int $cursor = null], [int $offset = null])
bool nextRowset ()
int rowCount ()
bool _bindParam (mixed $parameter, &$variable, [mixed $type = null], [mixed $length = null], [mixed $options = null], mixed $variable)
bool _execute ([ $params = null])
void _prepare (string $sql)
Variables
array $_keys = array() (line 73)

Column names.

- access: protected

array $_meta = null (line 85)

- access: protected

firebird_result $_stmtColumnCount = 0 (line 66)

The firebird_stmtResult resource.

- access: protected

firebird_stmtPrepared $_stmtPrepared = null (line 45)

The firebird_stmtPrepared resource.

- access: protected

firebird_result $_stmtResult = null (line 52)

The firebird_stmtResult resource.

- access: protected

firebird_result $_stmtRowCount = 0 (line 59)

The firebird_stmtResult resource.

- access: protected

array $_values = array() (line 80)

Fetched result values.

- access: protected

Methods
close (line 134)

Closes the cursor and the statement.

- access: public

bool close ()
closeCursor (line 154)

Closes the cursor, allowing the statement to be executed again.

- access: public

bool closeCursor ()
columnCount (line 168)

Returns the number of columns in the result set.

Returns null if the statement has no result set metadata.

- return: The number of columns.
- access: public

int columnCount ()
errorCode (line 179)

Retrieves the error code, if any, associated with the last operation on the statement handle.

- return: error code.
- access: public

string errorCode ()
errorInfo (line 193)

Retrieves an array of error information, if any, associated with the last operation on the statement handle.

- access: public

array errorInfo ()
fetch (line 292)

Fetches a row from the result set.

- return: Array, object, or scalar depending on fetch mode.
- throws: Zend_Db_Statement_Exception
- access: public

mixed fetch ([int $style = null], [int $cursor = null], [int $offset = null])

- int $style: OPTIONAL Fetch mode for this fetch operation.
- int $cursor: OPTIONAL Absolute, relative, or other.
- int $offset: OPTIONAL Number for absolute or relative cursors.

nextRowset (line 347)

Retrieves the next rowset (result set) for a SQL statement that has multiple result sets. An example is a stored procedure that returns the results of multiple queries.

- throws: ZendX_Db_Statement_Firebird_Exception
- access: public

bool nextRowset ()
rowCount (line 364)

Returns the number of rows affected by the execution of the last INSERT, DELETE, or UPDATE statement executed by this statement object.

- return: The number of rows affected.
- throws: Zend_Db_Statement_Exception
- access: public

int rowCount ()
_bindParam (line 124)

Binds a parameter to the specified variable name.

- throws: ZendX_Db_Statement_Firebird_Exception
- access: protected

bool _bindParam (mixed $parameter, &$variable, [mixed $type = null], [mixed $length = null], [mixed $options = null], mixed $variable)

- mixed $parameter: Name the parameter, either integer or string.
- mixed $variable: Reference to PHP variable containing the value.
- mixed $type: OPTIONAL Datatype of SQL parameter.
- mixed $length: OPTIONAL Length of SQL parameter.
- mixed $options: OPTIONAL Other options.
- &$variable

_execute (line 211)

Executes a prepared statement.

- throws: ZendX_Db_Statement_Firebird_Exception
- access: public

bool _execute ([ $params = null])

- array $params: OPTIONAL Values to bind to parameter placeholders.

_prepare (line 92)

- throws: ZendX_Db_Statement_Firebird_Exception
- access: public

void _prepare (string $sql)

- string $sql

Documentation generated on Mon, 24 Aug 2009 17:58:47 -0700 by phpDocumentor 1.4.2